WordPress.org

Support

PHP Failure

  • Hi all,

    I’ve been attempting an upgrade of PHP on my server. Whilst I’ve done everything according to the instructions, I keep getting the error…
    *********************
    <?php
    /* Short and sweet */
    define(‘WP_USE_THEMES’, true);
    require(‘./wp-blog-header.php’);
    ?>
    *********************
    …when I go to my site.

    Does this mean that PHP is not running or that WordPress has failed somehow??

    Any/all help would be very much appreciated!!

    Ta,
    Mark.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Jeremy Clark

    @jeremyclark13

    Member

    if you see php code then php isn’t working.

    Hi,

    Thanks for that.

    After tweaking the IIS config and the php.ini, I’m now getting different error…

    “The remote procedure call failed.”

    Having looked at other help sites, I get the feeling this may be a compatability issue between my version of WP and PHP.

    Could this be the case? If so, how do I go about upgrading WP without the site working in the first place?

    Thanks,
    Mark.

    Jeremy Clark

    @jeremyclark13

    Member

    RPC has to do with the server. First you need to get a working server with php and mysql then install WP.

    A easy way to test if you’ve got it working is to create a file in your web root and call it phptest.php then in the file put this

    <html><?php
    phpinfo()
    ?>
    </html>

    Then navigate your browser to that page and it should print out a bunch of information about you php installation. Scroll down that page and sure to look that the mysql extension is loaded as well. After you’ve got a working server then we can help you installing WP but this really isn’t a forum for server support.

    Google is your friend as well, there are great tutorials on installing php and IIS together.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘PHP Failure’ is closed to new replies.
Skip to toolbar